#include "musiclibraryprivate.h"
#include "mldebug.h"

MusicLibrary::MusicLibrary(QObject *parent) : QObject(parent)
{
    LogAlloc();
    pPtr = new MusicLibraryPrivate(this);
}

MusicLibrary::~MusicLibrary()
{
    delete pPtr;
    LogDelete();
}

QList<Artist *> MusicLibrary::artists() const
{
    return pPtr->listArtists();
}

QList<Record *> MusicLibrary::records() const
{
    return pPtr->listRecords();
}

QList<Song *> MusicLibrary::songs() const
{
    return pPtr->listSongs();
}


void MusicLibrary::dumpMemory()
{
#ifdef MEMORY_PROFILING
    dump();
#endif
}
