#ifndef SONG_H
#define SONG_H

#include <QObject>
#include "musicobject.h"

class Record;

/**
 * Represents a song
 */
class MUSICLIBRARYSHARED_EXPORT Song : public MusicObject
{
    Q_OBJECT

public:

    /**
     * Creates a song and assigns it to given record.
     * The record becomes the parent of this in QT object hierarchy.
     */
    Song(Record *record);

    /**
     * Deletes this song
     */
    ~Song();

    /**
     * Gets the record which owns this song
     */
    Record *record();

    /**
     * Sets the song number
     */
    void setNumber(int number);

    /**
     * Gets the song number
     */
    int number() const;

    /**
     * Sets music file name
     */
    void setMusicFile(const QString &fileName);

    /**
     * Gets music file name
     */
    QString musicFile() const;

};

#endif // SONG_H
