#include "musiclibrarybuilder.h"
#include "musiclibrary.h"

MusicLibrary *MusicLibraryBuilder::build(QObject *parent)
{
    MusicLibrary *lib = new MusicLibrary(parent);

    Artist *artist = new Artist(lib);
    artist->setName("Electronic Games");
    artist->setHomePage(QUrl(QString("http://www.jamendo.com/en/artist/Electronic_Games")));

    Record *record = new Record(artist);
    record->setName("Electronic Games");
    record->setReleaseDate(QDateTime::fromString("21/05/2010", "dd/MM/yyyy"));
    record->setCoverArtFile("../../music/Electronic Games/Electronic Games/[cover] Electronic Games - Electronic Games.jpg");

    Song *song = new Song(record);
    song->setName("Electric Games 1");
    song->setMusicFile("../../music/Electronic Games/Electronic Games/01 - Electric Games 1.mp3");
    song->setNumber(1);

    song = new Song(record);
    song->setName("Electronic Games 2");
    song->setMusicFile("../../music/Electronic Games/Electronic Games/02 - Electronic Games 2.mp3");
    song->setNumber(2);

    song = new Song(record);
    song->setName("Electronic Games 3");
    song->setMusicFile("../../music/Electronic Games/Electronic Games/03 - Electronic Games 3.mp3");
    song->setNumber(3);

    song = new Song(record);
    song->setName("Electronic Games 4");
    song->setMusicFile("../../music/Electronic Games/Electronic Games/04 - Electronic Games 4.mp3");
    song->setNumber(4);

    song = new Song(record);
    song->setName("Electronic Games 5");
    song->setMusicFile("../../music/Electronic Games/Electronic Games/05 - Electronic Games 5.mp3");
    song->setNumber(5);



    artist = new Artist(lib);
    artist->setName("Darren Mark Noyce");
    artist->setHomePage(QUrl(QString("http://www.jamendo.com/en/artist/Darren_Mark_Noyce")));

    record = new Record(artist);
    record->setName("Funky Monkey");
    record->setReleaseDate(QDateTime::fromString("21/05/2010", "dd/MM/yyyy"));
    record->setCoverArtFile("../../music/Darren Mark Noyce/Funky Monkey/[cover] Darren Mark Noyce - Funky Monkey.jpg");

    song = new Song(record);
    song->setName("Let's Go");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/01 - Let's Go.mp3");
    song->setNumber(1);

    song = new Song(record);
    song->setName("Incomplete Downer (7 inch)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/02 - Incomplete Downer (7 inch).mp3");
    song->setNumber(2);

    song = new Song(record);
    song->setName("Safe and Sound");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/03 - Safe and Sound.mp3");
    song->setNumber(3);

    song = new Song(record);
    song->setName("RiverSide");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/04 - RiverSide.mp3");
    song->setNumber(4);

    song = new Song(record);
    song->setName("Cuddle (single mix)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/05 - Cuddle (single mix).mp3");
    song->setNumber(5);

    song = new Song(record);
    song->setName("Natural High");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/06 - Natural High.mp3");
    song->setNumber(6);

    song = new Song(record);
    song->setName("Funky Monkey (7 inch)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/07 - Funky Monkey (7 inch).mp3");
    song->setNumber(7);

    song = new Song(record);
    song->setName("Chorus of Angels");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/08 - Chorus of Angels.mp3");
    song->setNumber(8);

    song = new Song(record);
    song->setName("Awesome");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/09 - Awesome.mp3");
    song->setNumber(9);

    song = new Song(record);
    song->setName("DayDream");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/10 - DayDream.mp3");
    song->setNumber(10);

    song = new Song(record);
    song->setName("Cuddle (Extra Cuddles)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/11 - Cuddle (Extra Cuddles).mp3");
    song->setNumber(11);

    song = new Song(record);
    song->setName("Incomplete Downer (ext 12 inch)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/12 - Incomplete Downer (ext 12 inch).mp3");
    song->setNumber(12);

    song = new Song(record);
    song->setName("Funky Monkey (long mix)");
    song->setMusicFile("../../music/Darren Mark Noyce/Funky Monkey/13 - Funky Monkey (long mix).mp3");
    song->setNumber(13);



    artist = new Artist(lib);
    artist->setName("#Dance 75#");
    artist->setHomePage(QUrl(QString("http://www.jamendo.com/en/artist/dance.75")));

    record = new Record(artist);
    record->setName("Can You Do Better ?");
    record->setReleaseDate(QDateTime::fromString("18/09/2007", "dd/MM/yyyy"));
    record->setCoverArtFile("../../music/Dance 75/Can You Do Better/[cover] Dance 75 - Can You Do Better.jpg");

    song = new Song(record);
    song->setName("Can You Do Better ? (Nicolas T. Instrumental Mix)");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/01 - Can You Do Better (Nicolas T. Instrumental Mix).mp3");
    song->setNumber(1);

    song = new Song(record);
    song->setName("My Computer Is Playing Guitar");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/02 - My Computer Is Playing Guitar.mp3");
    song->setNumber(2);

    song = new Song(record);
    song->setName("Space Travel");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/03 - Space Travel.mp3");
    song->setNumber(3);

    song = new Song(record);
    song->setName("Can You Do Better ?");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/04 - Can You Do Better.mp3");
    song->setNumber(4);

    song = new Song(record);
    song->setName("Go Were I Wanna Be");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/05 - Go Were I Wanna Be.mp3");
    song->setNumber(5);

    song = new Song(record);
    song->setName("The Dream");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/06 - The Dream.mp3");
    song->setNumber(6);

    song = new Song(record);
    song->setName("Break");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/07 - Break.mp3");
    song->setNumber(7);

    song = new Song(record);
    song->setName("Voices On Fire");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/08 - Voices On Fire.mp3");
    song->setNumber(8);

    song = new Song(record);
    song->setName("Tranceback");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/09 - Tranceback.mp3");
    song->setNumber(9);

    song = new Song(record);
    song->setName("Released");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/10 - Released.mp3");
    song->setNumber(10);

    song = new Song(record);
    song->setName("Can You Do Better ? (Club Mix)");
    song->setMusicFile("../../music/Dance 75/Can You Do Better/11 - Can You Do Better (Club Mix).mp3");
    song->setNumber(11);



    record = new Record(artist);
    record->setName("Dakadium");
    record->setReleaseDate(QDateTime::fromString("17/09/2006", "dd/MM/yyyy"));
    record->setCoverArtFile("../../music/Dance 75/Dakadium/[cover] Dance 75 - Dakadium.jpg");

    song = new Song(record);
    song->setName("Evasion");
    song->setMusicFile("../../music/Dance 75/Dakadium/01 - Evasion.mp3");
    song->setNumber(1);

    song = new Song(record);
    song->setName("Armanic");
    song->setMusicFile("../../music/Dance 75/Dakadium/02 - Armanic.mp3");
    song->setNumber(2);

    song = new Song(record);
    song->setName("Spong");
    song->setMusicFile("../../music/Dance 75/Dakadium/03 - Spong.mp3");
    song->setNumber(3);


    return lib;
}
